Loading...
Searching...
No Matches
use-case.h File Reference

use case interface for the ALSA driver More...

Include dependency graph for use-case.h:

Go to the source code of this file.

## Macros

#define | SND_USE_CASE_VERB_INACTIVE "Inactive"
#define | SND_USE_CASE_VERB_HIFI "HiFi"
#define | SND_USE_CASE_VERB_HIFI_LOW_POWER "HiFi Low Power"
#define | SND_USE_CASE_VERB_VOICE "Voice"
#define | SND_USE_CASE_VERB_VOICE_LOW_POWER "Voice Low Power"
#define | SND_USE_CASE_VERB_VOICECALL "Voice Call"
#define | SND_USE_CASE_VERB_IP_VOICECALL "Voice Call IP"
#define | SND_USE_CASE_VERB_ANALOG_RADIO "FM Analog Radio"
#define | SND_USE_CASE_VERB_DIGITAL_RADIO "FM Digital Radio"
#define | SND_USE_CASE_DEV_NONE "None"
#define | SND_USE_CASE_DEV_SPEAKER "Speaker"
#define | SND_USE_CASE_DEV_LINE "Line"
#define | SND_USE_CASE_DEV_MIC "Mic"
#define | SND_USE_CASE_DEV_HEADPHONES "Headphones"
#define | SND_USE_CASE_DEV_HEADSET "Headset"
#define | SND_USE_CASE_DEV_HANDSET "Handset"
#define | SND_USE_CASE_DEV_BLUETOOTH "Bluetooth"
#define | SND_USE_CASE_DEV_EARPIECE "Earpiece"
#define | SND_USE_CASE_DEV_SPDIF "SPDIF"
#define | SND_USE_CASE_DEV_HDMI "HDMI"
#define | SND_USE_CASE_DEV_USB "USB"
#define | SND_USE_CASE_DEV_DIRECT "Direct"
#define | SND_USE_CASE_MOD_CAPTURE_VOICE "Capture Voice"
#define | SND_USE_CASE_MOD_CAPTURE_MUSIC "Capture Music"
#define | SND_USE_CASE_MOD_PLAY_MUSIC "Play Music"
#define | SND_USE_CASE_MOD_PLAY_VOICE "Play Voice"
#define | SND_USE_CASE_MOD_PLAY_TONE "Play Tone"
#define | SND_USE_CASE_MOD_ECHO_REF "Echo Reference"
#define | SND_USE_CASE_TQ_MUSIC "Music"
#define | SND_USE_CASE_TQ_VOICE "Voice"
#define | SND_USE_CASE_TQ_TONES "Tones"

## Typedefs

typedef struct snd_use_case_mgr | snd_use_case_mgr_t

## Functions

char * | snd_use_case_identifier (const char *fmt,...)
| Create an identifier.
int | snd_use_case_free_list (const char *list[], int items)
| Free a string list.
int | snd_use_case_get_list (snd_use_case_mgr_t *uc_mgr, const char *identifier, const char **list[])
| Obtain a list of entries.
int | snd_use_case_get (snd_use_case_mgr_t *uc_mgr, const char *identifier, const char **value)
| Get current - string.
int | snd_use_case_geti (snd_use_case_mgr_t *uc_mgr, const char *identifier, long *value)
| Get current - integer.
int | snd_use_case_set (snd_use_case_mgr_t *uc_mgr, const char *identifier, const char *value)
| Set new.
int | snd_use_case_mgr_open (snd_use_case_mgr_t **uc_mgr, const char *card_name)
| Open and initialise use case core for sound card.
int | snd_use_case_mgr_reload (snd_use_case_mgr_t *uc_mgr)
| Reload and re-parse use case configuration files for sound card.
int | snd_use_case_mgr_close (snd_use_case_mgr_t *uc_mgr)
| Close use case manager.
int | snd_use_case_mgr_reset (snd_use_case_mgr_t *uc_mgr)
| Reset use case manager verb, device, modifier to deafult settings.
int | snd_use_case_parse_ctl_elem_id (snd_ctl_elem_id_t *dst, const char *ucm_id, const char *value)
| Parse control element identifier.
int | snd_use_case_parse_selem_id (snd_mixer_selem_id_t *dst, const char *ucm_id, const char *value)
| Parse mixer element identifier.

## Detailed Description

use case interface for the ALSA driver

Author
  Liam Girdwood lrg@s.nosp@m.liml.nosp@m.ogic..nosp@m.co.u.nosp@m.k
  Stefan Schmidt stefa.nosp@m.n@sl.nosp@m.imlog.nosp@m.ic.c.nosp@m.o.uk
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz
  Justin Xu justi.nosp@m.nx@s.nosp@m.limlo.nosp@m.gic..nosp@m.co.uk

Date
  2008-2010